datablock DebrisData(MAStransportDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./transportDestroyed.dts";
	lifetime = 8.0;
	minSpinSpeed = -50.0;
	maxSpinSpeed = 50.0;
	elasticity = 0.5;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 3;
};
datablock DebrisData(MAStransportWingDebris)
{
   emitters = "jeepDebrisTrailEmitter";

	shapeFile = "./transportWing_Debris.dts";
	lifetime = 8.0;
	minSpinSpeed = -80.0;
	maxSpinSpeed = 80.0;
	elasticity = 0.4;
	friction = 0.2;
	numBounces = 1;
	staticOnMaxBounce = true;
	snapOnMaxBounce = false;
	fade = true;

	gravModifier = 3;
};

datablock ExplosionData(MAStransportWingExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 100;

//   soundProfile = vehicleExplosionSound;
   
//   emitter[0] = vehicleFinalExplosionEmitter3;

   particleEmitter = "";
   particleDensity = 20;
   particleRadius = 1.0;

   debris = MAStransportWingDebris;
   debrisNum = 2;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 50;
   debrisVelocity = 16;
   debrisVelocityVariance = 5;

   faceViewer     = true;
   explosionScale = "1 1 1";
  
   //impulse
   impulseRadius = 1;
   impulseForce = 1000;
   impulseVertical = 2000;

   //radius damage
   radiusDamage        = 0;
   damageRadius        = 10;

};

datablock ExplosionData(MAStransportFinalExplosion)
{
   //explosionShape = "";
   lifeTimeMS = 150;

   soundProfile = vehicleExplosionSound;
   
   emitter[0] = vehicleFinalExplosionEmitter3;
   emitter[1] = vehicleFinalExplosionEmitter2;

   particleEmitter = vehicleFinalExplosionEmitter;
   particleDensity = 20;
   particleRadius = 1.0;

	subExplosion[0] = MAStransportWingExplosion;

   debris = MAStransportDebris;
   debrisNum = 1;
   debrisNumVariance = 0;
   debrisPhiMin = 0;
   debrisPhiMax = 360;
   debrisThetaMin = 0;
   debrisThetaMax = 50;
   debrisVelocity = 15;
   debrisVelocityVariance = 3;

   faceViewer     = true;
   explosionScale = "1 1 1";

   shakeCamera = true;
   camShakeFreq = "10.0 12.0 8.0";
   camShakeAmp = "15.0 15.0 15.0";
   camShakeDuration = 0.75;
   camShakeRadius = 15.0;

   // Dynamic light
   lightStartRadius = 0;
   lightEndRadius = 20;
   lightStartColor = "0.45 0.3 0.1";
   lightEndColor = "0 0 0";

   //impulse
   impulseRadius = 15;
   impulseForce = 500;
   impulseVertical = 1000;

   //radius damage
   radiusDamage        = 200;
   damageRadius        = 15;

   //burn the players?
   playerBurnTime = 5000;

};

datablock ProjectileData(MAStransportFinalExplosionProjectile)
{
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 0;
   explosion           = MAStransportFinalExplosion;

   directDamageType  = $DamageType::jeepExplosion;
   radiusDamageType  = $DamageType::jeepExplosion;

   explodeOnDeath		= 1;

   armingDelay         = 0;
   lifetime            = 10;
};
